## org.apache.mahout.math.decomposer
Class EigenStatus

    java.lang.Object
      org.apache.mahout.math.decomposer.EigenStatus

    public class EigenStatus

extends Object

Constructor Summary
`EigenStatus(double eigenValue, double cosAngle)`
`EigenStatus(double eigenValue, double cosAngle, boolean inProgress)`

Method Summary
`double` `getCosAngle()`
`double` `getEigenValue()`
`boolean` `inProgress()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EigenStatus

    public EigenStatus(double eigenValue,
                       double cosAngle)

### EigenStatus

    public EigenStatus(double eigenValue,
                       double cosAngle,
                       boolean inProgress)

Method Detail

### getCosAngle

    public double getCosAngle()

### getEigenValue

    public double getEigenValue()

### inProgress

    public boolean inProgress()

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.